[Bug 222761] Re: [SRU] upsd doesn't start NOT 221737

Launchpad Bug Tracker 222761 at bugs.launchpad.net
Fri Jan 30 01:45:06 GMT 2009


This bug was fixed in the package nut - 2.2.2-10ubuntu3

---------------
nut (2.2.2-10ubuntu3) jaunty; urgency=low

  * debian/{nut-cgi,nut}.preinst: don't call adduser or addgroup *at
    all*, these operations should be handled in the postinst.  Since
    this is the only custom action at all for nut-cgi, remove that
    preinst completely.
  * debian/{nut-cgi,nut}.postinst: add nut to the dialout
    and nut groups unconditionally, to handle the upgrade from the hardy
    release.  LP: #222761, LP: #287781.
  * debian/control: nut needs Pre-Depends: debconf instead of Depends:,
    because we use debconf unconditionally in the preinst.
  * reinstate debian/nut-hal-drivers.postinst, which was lost in a
    merge; and fix it up to use udevadm trigger --action=change, the
    safe way to install udev rules.
  * have nut-hal-drivers Depend: on udev so it can use the above.
  * fix up nut postinst to also use 'udevadm trigger --action=change'

 -- Steve Langasek <steve.langasek at ubuntu.com>   Fri, 30 Jan 2009
01:06:53 +0000

** Changed in: nut (Ubuntu Jaunty)
       Status: Triaged => Fix Released

-- 
[SRU] upsd doesn't start NOT 221737
https://bugs.launchpad.net/bugs/222761
You received this bug notification because you are a member of Ubuntu
Server Team, which is subscribed to nut in ubuntu.



More information about the Ubuntu-server-bugs mailing list